#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http3
version:              0.0.0
visibility:           public
id:                   http3-0.0.0-ERh9l8bHDvC5qwYwBuBqak
key:                  http3-0.0.0-ERh9l8bHDvC5qwYwBuBqak
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
homepage:             https://github.com/kazu-yamamoto/http3
synopsis:             HTTP/3 library
description:          HTTP/3 library including frames, QPACK, client and server.
category:             Network
abi:                  ad5462f7b7161390d6253b64b5cf8d00
exposed:              True
exposed-modules:
    Network.HQ.Client Network.HQ.Server Network.HTTP3.Client
    Network.HTTP3.Internal Network.HTTP3.Server Network.QPACK
    Network.QPACK.Internal

hidden-modules:
    Imports Network.HTTP3.Config Network.HTTP3.Context
    Network.HTTP3.Control Network.HTTP3.Error Network.HTTP3.Frame
    Network.HTTP3.Recv Network.HTTP3.Send Network.HTTP3.Settings
    Network.HTTP3.Stream Network.QPACK.Error Network.QPACK.HeaderBlock
    Network.QPACK.HeaderBlock.Decode Network.QPACK.HeaderBlock.Encode
    Network.QPACK.HeaderBlock.Prefix Network.QPACK.Instruction
    Network.QPACK.Table Network.QPACK.Table.Dynamic
    Network.QPACK.Table.RevIndex Network.QPACK.Table.Static
    Network.QPACK.Token Network.QPACK.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/http3-0.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/http3-0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http3
hs-libraries:         HShttp3-0.0.0-ERh9l8bHDvC5qwYwBuBqak
depends:
    array-0.5.4.0 base-4.15.1.0 bytestring-0.10.12.1
    case-insensitive-1.2.1.0-9P0gl8mW2it6Cg0EClpHns containers-0.6.4.1
    http-types-0.12.3-L4VBkj9wBbpJhmiMCXrA05
    http2-3.0.3-69WwrfvgcTHWlSbVEmcFt
    network-3.1.2.7-2x6X3kWddA03AmOITnySLy
    network-byte-order-0.1.6-6bgmZfd57UJEUVYIyXMEwy
    quic-0.0.1-CaiojrGutovGPNpW9oRyGA
    sockaddr-0.0.1-29cxINiONpK1lMfCrDl7e7 stm-2.5.0.0
    time-manager-0.0.0-K2iGlHLOVyb3O5afSqbaeG
    unliftio-0.2.23.0-CWws5v3UmoI2aQwTBbEr3I

haddock-interfaces:   /usr/share/doc/haskell-http3/html/http3.haddock
haddock-html:         /usr/share/doc/haskell-http3/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

